# Enum PrepRequestProcessor.DigestOpCode

java.lang.Object
java.lang.Enum<PrepRequestProcessor.DigestOpCode>
org.apache.zookeeper.server.PrepRequestProcessor.DigestOpCode

All Implemented Interfaces:
  `Serializable, Comparable<PrepRequestProcessor.DigestOpCode>`

Enclosing class:
  `PrepRequestProcessor`

public static enum PrepRequestProcessor.DigestOpCode extends Enum<PrepRequestProcessor.DigestOpCode>

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ADD`
`NOOP`
`REMOVE`
`UPDATE`

## Method Summary

Modifier and Type
Method
Description
`static PrepRequestProcessor.DigestOpCode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PrepRequestProcessor.DigestOpCode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NOOP

public static final PrepRequestProcessor.DigestOpCode NOOP

### ADD

public static final PrepRequestProcessor.DigestOpCode ADD

### REMOVE

public static final PrepRequestProcessor.DigestOpCode REMOVE

### UPDATE

public static final PrepRequestProcessor.DigestOpCode UPDATE

## Method Details

### values

public static PrepRequestProcessor.DigestOpCode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static PrepRequestProcessor.DigestOpCode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null